Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1424859 - Review Request: nodejs-encodeurl - Encode a URL to a percent-encoded form
Summary: Review Request: nodejs-encodeurl - Encode a URL to a percent-encoded form
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Piotr Popieluch
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: nodejs-reviews 1424860
TreeView+ depends on / blocked
 
Reported: 2017-02-19 22:49 UTC by Zuzana Svetlikova
Modified: 2017-03-31 02:21 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-31 02:21:41 UTC
piotr1212: fedora-review+


Attachments (Terms of Use)

Description Zuzana Svetlikova 2017-02-19 22:49:02 UTC
Spec URL: https://fedorapeople.org/~zvetlik/nodejs/nodejs-encodeurl/nodejs-encodeurl.spec
SRPM URL: https://fedorapeople.org/~zvetlik/nodejs/nodejs-encodeurl/nodejs-encodeurl-1.0.1-1.fc26.src.rpm
Description: Encode a URL to a percent-encoded form, excluding already-encoded sequences
Fedora Account System Username: zvetlik

Comment 1 Piotr Popieluch 2017-02-20 20:49:03 UTC
You must include the following in the %check section:
%{__nodejs} -e 'require("./")'

https://fedoraproject.org/wiki/Packaging:Node.js?rd=Node.js/Packagers#Build_testing_in_.25check


other minor non-blocking comments (I guess the guidelines need some update);

find_provides_and_requires
Following line is not needed anymore (macros are in all Fedora and epel 6 & 7 now)
%{?nodejs_find_provides_and_requires}


nodejs_arches
Fedora 19 is eol for long time and epel 6 & 7 have %{nodejs_arches} now. So following:

%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

can be replaced with just:
ExclusiveArch: %{nodejs_arches} noarch


setup should be autosetup:
%setup -q -n %{npm_name}-%{version}
now:
%autosetup -n %{npm_name}-%{version}


You can remove the symlink part in the build section, this only generates useless warnings.

Comment 3 Piotr Popieluch 2017-02-21 20:22:52 UTC
Changes look fine. Only seems that the src.rpm is not uploaded. If you upload it I can finish the fedora-review template and approve.

Comment 4 Piotr Popieluch 2017-02-21 23:06:23 UTC
I'm sorry I just found that
%{?nodejs_find_provides_and_requires}
is still needed on EL6.

I thought it was already automated with the last update of the macros.

Comment 5 Zuzana Svetlikova 2017-02-24 14:46:42 UTC
Links should work now.

Comment 6 Piotr Popieluch 2017-02-24 21:32:01 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "Unknown or generated". 9 files have
     unknown license. Detailed output of licensecheck in /home/piotr
     /fedora-scm/1424859-nodejs-encodeurl/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodejs-encodeurl-1.0.1-2.fc26.noarch.rpm
          nodejs-encodeurl-1.0.1-2.fc26.src.rpm
nodejs-encodeurl.noarch: W: only-non-binary-in-usr-lib
2 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
nodejs-encodeurl.noarch: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 0 errors, 1 warnings.



Requires
--------
nodejs-encodeurl (rpmlib, GLIBC filtered):
    nodejs(engine)



Provides
--------
nodejs-encodeurl:
    nodejs-encodeurl
    npm(encodeurl)



Source checksums
----------------
https://github.com/pillarjs/encodeurl/archive/v1.0.1.tar.gz :
  CHECKSUM(SHA256) this package     : 85325566143956fbbe187c42e3e9f9a3694970091f8f21e2da217e06cd18c3c9
  CHECKSUM(SHA256) upstream package : 85325566143956fbbe187c42e3e9f9a3694970091f8f21e2da217e06cd18c3c9


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1424859
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 7 Piotr Popieluch 2017-02-24 21:32:21 UTC
lgtm, approved

Comment 8 Fedora Update System 2017-03-09 15:50:57 UTC
nodejs-encodeurl-1.0.1-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-acfa6d8c17

Comment 9 Piotr Popieluch 2017-03-09 15:52:08 UTC
built in f26 and rawhide

Comment 10 Fedora Update System 2017-03-11 14:25:13 UTC
nodejs-encodeurl-1.0.1-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-acfa6d8c17

Comment 11 Fedora Update System 2017-03-31 02:21:41 UTC
nodejs-encodeurl-1.0.1-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.